Page MenuHomePhabricator

Create Set Up Jenkins to Run PHP and API tests
Closed, ResolvedPublic

Related Objects

Event Timeline

Tarrow created this task.Aug 21 2020, 10:08 AM

Change 622166 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[integration/config@master] WikibaseManifest add jenkins jobs

https://gerrit.wikimedia.org/r/622166

Change 622167 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[integration/config@master] phpmetrics: add WikibaseManifest

https://gerrit.wikimedia.org/r/622167

Change 622166 merged by jenkins-bot:
[integration/config@master] layout: WikibaseManifest add jenkins jobs

https://gerrit.wikimedia.org/r/622166

Change 622167 merged by jenkins-bot:
[integration/config@master] phpmetrics: add WikibaseManifest

https://gerrit.wikimedia.org/r/622167

Making the tests pass is stalled until we sort out the required public method from WikibaseRepo

Tarrow removed Tarrow as the assignee of this task.Aug 27 2020, 8:21 AM
Samantha_Alipio_WMDE triaged this task as High priority.Mon, Aug 31, 11:03 AM

Change 623402 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[integration/config@master] Add Wikibase as WikibaseManifest dependency

https://gerrit.wikimedia.org/r/623402

Change 623402 merged by jenkins-bot:
[integration/config@master] Add Wikibase as WikibaseManifest dependency

https://gerrit.wikimedia.org/r/623402

Mentioned in SAL (#wikimedia-releng) [2020-08-31T15:36:12Z] <James_F> Zuul: Add Wikibase as WikibaseManifest dependency T260975

Change 623453 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/WikibaseManifest@master] Stop unset sparqlEndpoint causing failure

https://gerrit.wikimedia.org/r/623453

Change 623454 had a related patch set uploaded (by Tarrow; owner: Tarrow):
[mediawiki/extensions/WikibaseManifest@master] Add phan to composer.json

https://gerrit.wikimedia.org/r/623454

Change 623453 merged by Silvan Heintze:
[mediawiki/extensions/WikibaseManifest@master] Stop unset sparqlEndpoint causing failure

https://gerrit.wikimedia.org/r/623453

Change 623454 merged by jenkins-bot:
[mediawiki/extensions/WikibaseManifest@master] Add phan configuration

https://gerrit.wikimedia.org/r/623454

Samantha_Alipio_WMDE closed this task as Resolved.Thu, Sep 24, 12:10 PM